xdr_init_encode
Prev | SUN RPC subsystem | Next

## Name

xdr_init_encode — Initialize a struct xdr_stream for sending data.

## Synopsis

`void xdr_init_encode (` | struct xdr_stream * | xdr,
| struct xdr_buf * | buf,
| __be32 * | p`)`;

## Arguments

`xdr`

  pointer to xdr_stream struct

`buf`

  pointer to XDR buffer in which to encode data

`p`

  current pointer inside XDR buffer

## Note

at the moment the RPC client only passes the length of our scratch buffer in the xdr_buf's header kvec. Previously this meant we needed to call `xdr_adjust_iovec` after encoding the data. With the new scheme, the xdr_stream manages the details of the buffer length, and takes care of adjusting the kvec length for us.

Prev | Up | Next
xdr_encode_opaque | Home | xdr_reserve_space